in scala.collection.mutable
class ArrayBuffer

`class` ArrayBuffer [ A ]
  `extends` java.lang.Object
  `with` scala.collection.mutable.Buffer[A]
  `with` scala.collection.mutable.ResizableArray[A]
  `with` scala.ScalaObject

  An implementation of the Buffer class using an array to represent the assembled sequence internally.

author:
  Matthias Zenger
version:
  1.0, 15/03/2004

Constructor Summary
| `def` this

Def Summary
`override` | `def` ++ ( iter : scala.Iterable[A] ) : scala.collection.mutable.Buffer[A] Appends a number of elements provided by an iterable object via its `elements` method. The identity of the buffer is returned.
`override` | `def` ++: ( iter : scala.Iterable[A] ) : scala.collection.mutable.Buffer[A] Prepends a number of elements provided by an iterable object via its `elements` method. The identity of the buffer is returned.
| `def` +: ( elem : A ) : scala.collection.mutable.Buffer[A] Prepend a single element to this buffer and return the identity of the buffer.
| `def` += ( elem : A ) : scala.Unit Append a single element to this buffer and return the identity of the buffer.
| `def` apply ( n : scala.Int ) : A
| `def` clear : scala.Unit Clears the buffer contents.
`override` | `def` clone : scala.collection.mutable.Buffer[A] Return a clone of this buffer.
`override` | `def` equals ( obj : scala.Any ) : scala.Boolean Checks if two buffers are structurally identical.
| `def` insertAll ( n : scala.Int , iter : scala.Iterable[A] ) : scala.Unit Inserts new elements at the index `n`. Opposed to method `update`, this method will not replace an element with a one. Instead, it will insert a new element at index `n`.
| `def` remove ( n : scala.Int ) : A Removes the element on a given index position.
`override` `protected` | `def` stringPrefix : java.lang.String Defines the prefix of the string representation.
| `def` update ( n : scala.Int , newelem : A ) : scala.Unit Replace element at index `n` with the new element `newelem`.

Constructor Detail

`def` this

Def Detail

override `def` ++ ( iter : scala.Iterable[A] ) : scala.collection.mutable.Buffer[A]

  Appends a number of elements provided by an iterable object via its `elements` method. The identity of the buffer is returned.

param:
  iter the iterable object.

override `def` ++: ( iter : scala.Iterable[A] ) : scala.collection.mutable.Buffer[A]

  Prepends a number of elements provided by an iterable object via its `elements` method. The identity of the buffer is returned.

param:
  iter the iterable object.

`def` +: ( elem : A ) : scala.collection.mutable.Buffer[A]

  Prepend a single element to this buffer and return the identity of the buffer.

param:
  elem the element to append.

`def` += ( elem : A ) : scala.Unit

  Append a single element to this buffer and return the identity of the buffer.

param:
  elem the element to append.

`def` apply ( n : scala.Int ) : A

`def` clear : scala.Unit

  Clears the buffer contents.

override `def` clone : scala.collection.mutable.Buffer[A]

  Return a clone of this buffer.

return:
  an `ArrayBuffer` with the same elements.

override `def` equals ( obj : scala.Any ) : scala.Boolean

  Checks if two buffers are structurally identical.

return:
  true, iff both buffers contain the same sequence of elements.

`def` insertAll ( n : scala.Int , iter : scala.Iterable[A] ) : scala.Unit

  Inserts new elements at the index `n`. Opposed to method `update`, this method will not replace an element with a one. Instead, it will insert a new element at index `n`.

param:
  n the index where a new element will be inserted.
param:
  iter the iterable object providing all elements to insert.

`def` remove ( n : scala.Int ) : A

  Removes the element on a given index position.

param:
  n the index which refers to the element to delete.

override protected `def` stringPrefix : java.lang.String

  Defines the prefix of the string representation.

`def` update ( n : scala.Int , newelem : A ) : scala.Unit

  Replace element at index `n` with the new element `newelem`.

param:
  n the index of the element to replace.
param:
  newelem the new element.